
Redmine - Defect #3689

Report is empty if grouped by user in timesheet

2009-07-29 16:16 - Vitaly Klimov

Status: Closed Start date: 2009-07-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

While trying to display time report for all users grouped by user i received report only for current user, although all permissions were

in place. Report looks correct if grouped by issue or by project with all user displayed. This bug does not occur for admin as well -

report sorted by users displayed for admin account without any problems.

History

#1 - 2009-07-31 02:24 - Eric Davis

- Assignee deleted (Jean-Philippe Lang)

Is this for the timesheet plugin or the Redmine core?  If the url for this page is http://yourdomain.com/timesheet, it's the timesheet plugin and should

be posted to my issue tracker at https://projects.littlestreamsoftware.com/projects/redmine-timesheet.

#2 - 2009-07-31 07:08 - Vitaly Klimov

- Status changed from New to Resolved

Yep, you were right - i was talking about timesheet plugin. Anyway i have found the solution to this problem - you have to add following two lines after

line 217 to allow users with see_project_timesheets priveleges see other users time entries:

elsif User.current.allowed_to?(:see_project_timesheets, nil, :global => true)

        logs = time_entries_for_user(user_id)

 it will fix this bug

#3 - 2009-07-31 22:09 - Eric Davis

- Category deleted (Time tracking)

- Status changed from Resolved to Closed

- Affected version (unused) deleted (devel)

- Resolution set to Invalid

Thank you, I'll see about fixing that in the plugin.
